Package io.dapr.client.domain

# Enum Verb

java.lang.Object
java.lang.Enum<Verb>
io.dapr.client.domain.Verb

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Verb>`, `java.lang.constant.Constable`

    public enum Verb
    extends java.lang.Enum<Verb>

Verbs used to invoke methods in Dapr.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `DELETE` |
  `GET` |
  `POST` |
  `PUT` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Verb` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static Verb[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GET

    public static final Verb GET

  - ### PUT

    public static final Verb PUT

  - ### POST

    public static final Verb POST

  - ### DELETE

    public static final Verb DELETE

- ## Method Details

  - ### values

    public static Verb[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Verb valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null